#include <iocslib.h>

int RFILL(wsx,wsy,wex,wey,sx,sy,ex,ey,col)
int wsx,wsy,wex,wey;
int sx,sy,ex,ey;
int col;
{
int y;
struct LINEPTR ln;
	ln.color=col;
	ln.linestyle=0x0000;
	for (y=wsx;y<=wey;y++) {
		ln.y1=ln.y2=y;
		ln.x1=wsx;
		if (y>=sy && y<=ey) {
			ln.x2=sx-1;
			if (LINE(&ln)) return(-1);
			ln.x1=ex+1;
		}
		ln.x2=wex;
		if (LINE(&ln)) return(-1);
	}
	return(0);
}
